%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   main.m
%
%   Skripta za formiranje tabele sa vrednostima amplitude cogging momenta 
%   za razmatrani opseg S i p (na osnovu analitickog modela) i generisanje 
%   grafika sa talasnim oblicima cogging momenta odredjenim pomo?u
%   analitike i softverskog alata FEMM42 za cetiri karaktersiti?ne masine.
%   Skripta poziva MATLAB funkcije za analiti?ko modelovanje cogging
%   momenta i elektromagnetsku anaizu maine u FEMM42.
%
%   Filip Cvejic
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear vars
close all
clc

Mem_max=zeros(8,9);
for p=1:1:9
    for S=6:6:48
        if(p==1)
            Mem_max(S/6,p)=fix(S);
        else
            if(S/6<p-1) 
                 Mem_max(S/6,p)=0;
            else
                 Mem_max(S/6,p)=analitika(S,p-1);
            end
        end
    end
end

digits(2);
pom2 = latex(vpa(Mem_max));
pom2= strrep(pom2,' 0 ',' - ');
pom2= strrep(pom2,'.0 ','   ');
pom2= strrep(pom2,'0\','-\');

%% referentni motor
p=3;
S=18;
a=1;
analitika(S,p,a);
torquef(S,p,a);
xlabel('\theta_{m} [\circ]');
ylabel('M_{em} [Nm]');

%% motor p1S6
p=1;
S=6;
a=2;
analitika(S,p,a);
torquef(S,p,a);
xlabel('\theta_{m} [\circ]');
ylabel('M_{em} [Nm]');

%% motor p1S48
p=1;
S=48;
a=3;
analitika(S,p,a);
torquef(S,p,a);
xlabel('\theta_{m} [\circ]');
ylabel('M_{em} [Nm]');

%% motor p8S48
p=8;
S=48;
a=4;
analitika(S,p,a);
torquef(S,p,a);
xlabel('\theta_{m} [\circ]');
ylabel('M_{em} [Nm]');



